CREATE TABLE irc_error_logs (
    ERROR_ID                 NUMBER(18, 0) ,
    ERR_EXTRA_INFO1          VARCHAR2(4000),
    ERR_EXTRA_INFO2          VARCHAR2(4000),
    ERR_EXTRA_INFO3          VARCHAR2(4000),
    ERR_EXTRA_INFO4          VARCHAR2(4000),
    ERR_EXTRA_INFO5          VARCHAR2(4000),
    ERR_EXTRA_INFO6          CLOB          ,
    ERR_EXTRA_INFO7          CLOB          ,
    OBJECT_TYPE_CODE         VARCHAR2(120) ,
    OBJECT_ID                NUMBER(18, 0) ,
    MODULE_CODE              VARCHAR2(120) ,
    MESSAGE_TEXT             VARCHAR2(4000),
    MESSAGE_CATEGORY         VARCHAR2(240) ,
    ERROR_STACK              CLOB          ,
    ERROR_MESSAGE_TYPE       VARCHAR2(960) ,
    ERROR_MESSAGE_CODE       VARCHAR2(960) ,
    ERROR_MESSAGE_TOKENS     CLOB          ,
    OCCURANCE_DATE           TIMESTAMP(6)  ,
    STATUS_CODE              VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    ERROR_ID                 NUMBER(18, 0) ,
    ERR_EXTRA_INFO1          VARCHAR2(4000),
    ERR_EXTRA_INFO2          VARCHAR2(4000),
    ERR_EXTRA_INFO3          VARCHAR2(4000),
    ERR_EXTRA_INFO4          VARCHAR2(4000),
    ERR_EXTRA_INFO5          VARCHAR2(4000),
    ERR_EXTRA_INFO6          CLOB          ,
    ERR_EXTRA_INFO7          CLOB          ,
    OBJECT_TYPE_CODE         VARCHAR2(120) ,
    OBJECT_ID                NUMBER(18, 0) ,
    MODULE_CODE              VARCHAR2(120) ,
    MESSAGE_TEXT             VARCHAR2(4000),
    MESSAGE_CATEGORY         VARCHAR2(240) ,
    ERROR_STACK              CLOB          ,
    ERROR_MESSAGE_TYPE       VARCHAR2(960) ,
    ERROR_MESSAGE_CODE       VARCHAR2(960) ,
    ERROR_MESSAGE_TOKENS     CLOB          ,
    OCCURANCE_DATE           TIMESTAMP(6)  ,
    STATUS_CODE              VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CONSTRAINT pk_irc_error_logs PRIMARY KEY (ERROR_ID, ERROR_ID)
);
